Subject: passwd : error

From: tran vanle <[email-masked]>
Date: Tue, 21 Nov 2006 00:40:10 +1100 (EST)

Hi all 
I use TQM8xxl board with kernel 2.6.11.7 and Ramdisk of ELDK4.0
command adduser of busybox 1.0
when I login (root) and type command 
adduser van
I receive
adduser: /home/van: Operation not permitted
Changing password for van
Enter the new password (minimum of 5, maximum of 8 characters)
Please use a combination of upper and lower case letters and numbers.
Enter new password:
Re-enter new password:
passwd[74]: an error occurred updating the password file
passwd: An error occurred updating the password file.

and in /home/ I see 
drwxr-sr-x    2 -2       -2           1024 Nov 20  2006 van
in /etc/  i see three file passwd 
-rwxrwxrwx  1 root       root        291 Nov 20 20:20 passwd
-rw-------  1 -2         -2          291 Nov 20 20:20 passwd-
-rwxrwxrwx  1 -2         -2        0 Nov 20 20:20 passwd+

in nfs dir correlative with /home/ i see
drwxr-sr-x  2 4294967294 4294967294 1024 Nov 20 20:20 van
and /etc/
-rwxrwxrwx  1 root       root        291 Nov 20 20:20 passwd
-rw-------  1 4294967294 4294967294  291 Nov 20 20:20 passwd-
-rwxrwxrwx  1 4294967294 4294967294    0 Nov 20 20:20 passwd+

Thanks for all

 Send instant messages to your online friends http://au.messenger.yahoo.com